<section class="section-container">
    <header>
      <h1>Zenika blog</h1>
      <button type="button" id="buttonAdd">
      <!-- <app-button href="/add"> -->
        <lucide-icon button-start name="plus"></lucide-icon>
        Ajouter un article
      </button>
    </header>
    <div class="articles_container">
        <div class="articles_card" *ngFor="let article of articleService.articles">
            <app-article [article]="article"></app-article>
            <button type="button" id="buttonDelete" (click)="deleteArticle(article.id)"> delete
                <!-- <app-button href="/add"> -->
                  <!-- <lucide-icon button-delete name="trash2" (click)="deleteArticle()></lucide-icon> -->
                  <lucide-icon button-delete name="trash2"></lucide-icon>
                </button>
      </div>
    </div>
</section>
